This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 999687 - (CVE-2013-4701) CVE-2013-4701 php-pear-Auth-OpenID: XML External Entity issue allows for reading arbitrary files or excessive resource consumption
CVE-2013-4701 php-pear-Auth-OpenID: XML External Entity issue allows for read...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130811,repor...
: Security
Depends On: 999688
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-21 17:15 EDT by Vincent Danen
Modified: 2015-11-05 04:10 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-03 23:51:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2013-08-21 17:15:28 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2013-4701 to
the following vulnerability:

Name: CVE-2013-4701
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-4701
Assigned: 20130626
Reference: https://github.com/openid/php-openid/commit/625c16bb28bb120d262b3f19f89c2c06cb9b0da9
Reference: JVN:JVN#24713981
Reference: http://jvn.jp/en/jp/JVN24713981/index.html
Reference: JVNDB:JVNDB-2013-000080
Reference: http://jvndb.jvn.jp/jvndb/JVNDB-2013-000080

Auth/Yadis/XML.php in PHP OpenID Library 2.2.2 and earlier allows
remote attackers to read arbitrary files, send HTTP requests to
intranet servers, or cause a denial of service (CPU and memory
consumption) via XRDS data containing an external entity declaration
in conjunction with an entity reference, related to an XML External
Entity (XXE) issue.
Comment 1 Vincent Danen 2013-08-21 17:16:21 EDT
Created php-pear-Auth-OpenID tracking bugs for this issue:

Affects: fedora-all [bug 999688]
Comment 2 Fedora Update System 2013-09-01 19:09:00 EDT
php-pear-Auth-OpenID-2.2.2-7.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Fedora Update System 2013-09-01 19:09:16 EDT
php-pear-Auth-OpenID-2.2.2-7.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2013-09-08 14:40:20 EDT
php-pear-Auth-OpenID-2.2.2-7.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.